<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Работники</title>
    <link th:href="@{/styles/main.css}" rel="stylesheet"/>
    <link th:href="@{/styles/employees.css}" rel="stylesheet"/>
</head>
<body>
<div class="wrapper">
    <header class="header_main">
    </header>

    <div class="body_main">
        <div class="railway_menu">
            <table class="railway_menu_table">
                <tr>
                    <th><a th:href="@{/employees}">Работники</a></th>
                    <th><a th:href="@{/brigades}">Бригады</a></th>
                    <th>Отделы</th>
                </tr>
            </table>
        </div>

        <div>
            <div class="employees_main">
                <table class="table_content">
                    <tr>
                        <th>Номер</th>
                        <th>Имя</th>
                        <th>Фамилия</th>
                        <th>Отчество</th>
                        <th>Номер бригады</th>
                        <th>Пол</th>
                        <th>Возраст</th>
                        <th>Количество детей</th>
                        <th>Зарплата</th>
                        <th>Стаж</th>
                    </tr>
                    <tr th:each="employee : ${employees}">
                        <td th:utext="${employee.employeeID}"></td>
                        <td th:utext="${employee.firstName}"></td>
                        <td th:utext="${employee.lastName}"></td>
                        <td th:utext="${employee.middleName}"></td>
                        <td th:utext="${employee.brigadeID}"></td>
                        <td th:utext="${employee.gender}"></td>
                        <td th:utext="${employee.age}"></td>
                        <td th:utext="${employee.amountChild}"></td>
                        <td th:utext="${employee.salary}"></td>
                        <td th:utext="${employee.standing}"></td>

                        <td>
                            <form th:action="@{/employees/action/edit}" th:object="${editedEmployee}" method="get">
                                <input type="hidden" name="employeeID" th:value="${employee.employeeID}">
                                <input type="hidden" name="firstName" th:value="${employee.firstName}">
                                <input type="hidden" name="lastName" th:value="${employee.lastName}">
                                <input type="hidden" name="middleName" th:value="${employee.middleName}">
                                <input type="hidden" name="brigadeID" th:value="${employee.brigadeID}">
                                <input type="hidden" name="gender" th:value="${employee.gender}">
                                <input type="hidden" name="age" th:value="${employee.age}">
                                <input type="hidden" name="amountChild" th:value="${employee.amountChild}">
                                <input type="hidden" name="salary" th:value="${employee.salary}">
                                <input type="hidden" name="standing" th:value="${employee.standing}">
                                <button type="submit">
                                    <img height="25" th:src="@{/images/edit-button.png}" alt="Изменить"/>
                                </button>
                            </form>
                        </td>

                        <td>
                            <form th:action="@{/employees/action/edit}" th:object="${employeeID}" method="post">
                                <input type="hidden" name="employeeID" th:value="${employee.employeeID}">
                                <button type="submit">
                                    <img height="25" th:src="@{/images/delete-button.png}" alt="Удалить"/>
                                </button>
                            </form>
                        </td>
                    </tr>
                </table>
            </div>

            <div class="employees_menu">
                <div class="specialties">
                    <ul>
                        <li><a th:href="@{/employees}">Все</a></li>
                        <li>Водители</li>
                        <li><a th:href="@{/cashiers}">Кассиры</a></li>
                        <li>Ремонтники подвижных составов</li>
                        <li>Служба подготовки составов</li>
                    </ul>
                </div>

                <div  class="filter">
                    <a th:href="@{/employees/sort/managers}">Начальники отделов</a>
                </div>

                <div class="filter">
                    <p>По отделу</p>
                    <form th:action="@{/employees/sort/department}" method="get">
                        <label>
                            <select name="department">
                                <option th:each="department : ${departments}"
                                        th:value="${department.key}"
                                        th:text="${department.value}">
                                </option>
                            </select>
                        </label>
                        <button type="submit">Фильтровать</button>
                    </form>
                </div>

                <div class="filter">
                    <p>По бригаде</p>
                    <form th:action="@{/employees/sort/brigade}" method="get">
                        <label>
                            <select name="brigadeID">
                                <option th:each="brigade : ${brigades}"
                                        th:value="${brigade.brigadeID}"
                                        th:text="${brigade.brigadeID + ':' +brigade.departmentName} ">
                                </option>
                            </select>
                        </label>
                        <button type="submit">Фильтровать</button>
                    </form>
                </div>

                <div class="salary-filter">
                    <p>По зарплате</p>
                    <form th:action="@{/employees/sort/salary}" method="get" th:object="${employees}">
                        <label>
                            От <input type="text" name="leftBorder">
                        </label>
                        <label>
                            до <input type="text" name="rightBorder">
                        </label>
                        <button type="submit">Фильтровать</button>
                    </form>
                    <p th:if="${error}">Границы должны быть заполнены</p>
                </div>
            </div>
        </div>
    </div>

    <footer class="footer_main">
    </footer>
</div>
</body>
</html>

